Data Fields

# SettingFilter Struct Reference

Filter for settings list. More...

## Data Fields
StringFilter | string
| Filter string.
RestrictionMode | min_cat
| Minimum category needed to display all filtered strings (RM_BASIC, RM_ADVANCED, or RM_ALL).
bool | type_hides
| Whether the type hides filtered strings.
RestrictionMode | mode
| Filter based on category.
SettingType | type
| Filter based on type.

## Detailed Description

Filter for settings list.

Definition at line 700 of file settings_gui.cpp.

The documentation for this struct was generated from the following file:

- src/settings_gui.cpp